# Flow pick

A decision block that lets the user choose a flow.

The fiber will pause until the user has chosen an flow, cancelled the dialog or the timeout expired.

The resulting Flow URI can be used to with the Flow stop block to stop a flow and all its running fibers.

Note! Flow URI comes in two forms, with or without a beginning block, this block picks the latter.

## Input arguments

- Timeout — time until the notification/dialog is automatically canceled, may be inaccurate as it’s affected power save features such as “doze”, default is no timeout.
- Notification channel — UUID of notification channel used for shown notification, default is the flow default or Flow.
- Show window — whether to show the dialog window directly without having to tap the notification. Requires the “appear atop of other apps or parts of the screen” privilege on Android 10+.

## Output variables

- Flow URI — variable to assign the URI of the chosen flow.
- Flow title — variable to assign the title of the chosen flow.
- Flow description — variable to assign the description of the chosen flow.